Reject a monthly AR deduction batch (Ops checker)
Rejects a pending_approval AR batch with a reason. Same segregation-of-duties guard as approve.
Rejects a pending_approval AR batch with a reason. Same segregation-of-duties guard as approve.
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
id*string
Format
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
reason*string
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/api/recon/v1/ar-deductions/batches/497f6eca-6276-4993-bfeb-53cbbbba6f08/reject" \ -H "Content-Type: application/json" \ -d '{ "reason": "duplicate upload" }'{
"id": "01900000-0000-7000-8000-000000000091",
"status": "rejected"
}{
"error": "validation_failed",
"message": "Request body is invalid",
"request_id": "01900000-0000-7000-8000-000000000001"
}{
"error": "unauthorized",
"message": "Bearer token is missing or invalid",
"request_id": "01900000-0000-7000-8000-000000000001"
}{
"error": "not_found",
"message": "The requested resource was not found",
"request_id": "01900000-0000-7000-8000-000000000001"
}{
"error": "ar_batch_self_approval",
"message": "approver/rejecter must differ from the uploader",
"request_id": "req_01"
}Was this page helpful?